'Enable Change Notification.vbs
'Jeff Guillet, 03/18/2009
'This script displays the change notification setting for each site link in Active Directory.
'http://www.expta.com/2009/03/how-to-enable-change-notification-on.html

'Set up connection to Active Directory
Set con = CreateObject("ADODB.Connection")
con.Provider = "ADsDSOObject"
con.Open "DS Query"
Set command = CreateObject("ADODB.Command")
Set command.ActiveConnection = con
Command.Properties("searchscope") = 2

'Get the AD Site Link container
Set objRootDSE = GetObject("LDAP://RootDSE")
Set objSites = GetObject("LDAP://CN=IP,CN=Inter-Site Transports,CN=Sites," & objRootDSE.Get("configurationNamingContext"))

'Get change notification value for each site link
For Each objSite in objSites
	msg = msg & Mid(objSite.name, 4) & " - " & objSite.options & VBCRLF
Next

wscript.echo "Change Notification has been enabled for the following site links:" & VBCRLF & VBCRLF & msg